API DocumentationManufacturer document controller

Generate shipment invoice document

GET
/api/manufacturer/v1/document/{orderId}/shipments/{shipmentId}/invoice

Generates a PDF document using an invoice template for the parts allocated to a shipment

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

orderId*integer

ID of the order

Formatint64
shipmentId*string

ID of the shipment

Formatuuid

Query Parameters

templateId*integer

ID of the invoice template

Formatint64

Response Body

PDF generated successfully

application/pdf
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/document/1/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/invoice?templateId=42'
Empty